openSUSE Security Update : nodejs8 (openSUSE-2020-293)

High Nessus Plugin ID 134281

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 6.7

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for nodejs8 fixes the following issues :

Security issues fixed :

- CVE-2019-15604: Fixed a remotely triggerable assertion in the TLS server via a crafted certificate string (CVE-2019-15604, bsc#1163104).

- CVE-2019-15605: Fixed an HTTP request smuggling vulnerability via malformed Transfer-Encoding header (CVE-2019-15605, bsc#1163102).

- CVE-2019-15606: Fixed the white space sanitation of HTTP headers (CVE-2019-15606, bsc#1163103).

This update was imported from the SUSE:SLE-15:Update update project.

Solution

Update the affected nodejs8 packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1163102

https://bugzilla.opensuse.org/show_bug.cgi?id=1163103

https://bugzilla.opensuse.org/show_bug.cgi?id=1163104

Plugin Details

Severity: High

ID: 134281

File Name: openSUSE-2020-293.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2020/03/06

Updated: 2020/03/10

Dependencies: 12634

Risk Information

Risk Factor: High

VPR Score: 6.7

CVSS v2.0

Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:nodejs8, p-cpe:/a:novell:opensuse:nodejs8-debuginfo, p-cpe:/a:novell:opensuse:nodejs8-debugsource, p-cpe:/a:novell:opensuse:nodejs8-devel, p-cpe:/a:novell:opensuse:npm8, cpe:/o:novell:opensuse:15.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 2020/03/03

Vulnerability Publication Date: 2020/02/07

Reference Information

CVE: CVE-2019-15604, CVE-2019-15605, CVE-2019-15606